why do I have to upgrade?